> For the complete documentation index, see [llms.txt](https://docs.cipp.app/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cipp.app/user-documentation/endpoint/mem/reusable-settings-templates.md).

# Reusable Settings Templates

This page allows you to manage the reusable settings templates for use in deployment from [Reusable Settings](/user-documentation/endpoint/mem/reusable-settings.md) or in a Standard.

## Page Actions

{% content-ref url="/pages/hSL5PTxAIvP8ObXCljXD" %}
[Add Reusable Settings Template](/user-documentation/endpoint/mem/reusable-settings-templates/add.md)
{% endcontent-ref %}

## Table Details

| Column       | Description                                                              |
| ------------ | ------------------------------------------------------------------------ |
| Display Name | The display name set on the template                                     |
| Description  | The description entered on the template when created                     |
| Is Synced    | An indicator if the template has been synced to/from a GitHub repository |

## Table Actions

<table><thead><tr><th></th><th></th><th data-type="checkbox">Bulk Action Available</th></tr></thead><tbody><tr><td>Edit Template</td><td>Opens the selected template to edit</td><td>false</td></tr><tr><td>Save to GitHub</td><td>Saves the selected template(s) to GitHub</td><td>true</td></tr><tr><td>Delete Template</td><td>Deletes the selected template(s)</td><td>true</td></tr><tr><td>More Info</td><td>Opens the Extended Information flyout</td><td>false</td></tr></tbody></table>

***

## Feature Requests / Ideas

We value your feedback and ideas. Please raise any [feature requests](https://github.com/KelvinTegelaar/CIPP/issues/new?template=feature.yml) on GitHub.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.cipp.app/user-documentation/endpoint/mem/reusable-settings-templates.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
